%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  Function to get read ROSE data and write out SEGY
%
%  STB 12/21/05
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%[B]=getrose3;

B.basedirectory='/Volumes/Cormorant2/Data/OSE';
B.experiment='CRSE';

%cstart = [13,26,40,54,67,82, 99,118,133,222,290,335,361,374,388,400,414,433,450,465,480,569,638,686,709,721,738,807,873,885,898,925,940,955,972];
%  cend = [25,39,53,66,81,98,117,132,221,289,334,359,373,387,398,413,431,449,464,478,568,636,685,708,720,733,806,872,884,897,924,939,954,963,994];
if (B.experiment == 'CRSE')
  cstart = [13,26,40,54,67,82, 99,118,133,222,290,335,361,374,388,400,414,433,450,465,480,569,638,686,709,738,807,873,885,898,925,940];
  cend   = [25,39,53,66,81,98,117,132,221,289,334,359,373,387,398,413,431,449,464,478,568,636,685,708,720,806,872,884,897,924,939,954];
  cdepl  = [ 1, 1, 1, 1, 1, 1,  1,  1,  1,  1,  1,  1,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  3,  4,  5,  5,  5,  5,  5,  5];
  clen   = length(cstart);
     SEGY_FILE(1,:)  = 'CRSE_depth1_1N.segy ';
     SEGY_FILE(2,:)  = 'CRSE_depth1_1S.segy ';
     SEGY_FILE(3,:)  = 'CRSE_depth1_2SE.segy';
     SEGY_FILE(4,:)  = 'CRSE_depth1_2NW.segy';
     SEGY_FILE(5,:)  = 'CRSE_depth1_3W.segy ';
     SEGY_FILE(6,:)  = 'CRSE_depth1_3E.segy ';
     SEGY_FILE(7,:)  = 'CRSE_depth1_4NE.segy';
     SEGY_FILE(8,:)  = 'CRSE_depth1_4SW.segy';
     SEGY_FILE(9,:)  = 'CRSE_depth1_5.segy  ';
     SEGY_FILE(10,:) = 'CRSE_depth1_6.segy  ';
     SEGY_FILE(11,:) = 'CRSE_depth1_7.segy  ';
     SEGY_FILE(12,:) = 'CRSE_depth1_8.segy  ';
     SEGY_FILE(13,:) = 'CRSE_depth2_1N.segy ';
     SEGY_FILE(14,:) = 'CRSE_depth2_1S.segy ';
     SEGY_FILE(15,:) = 'CRSE_depth2_2SE.segy';
     SEGY_FILE(16,:) = 'CRSE_depth2_2NW.segy';
     SEGY_FILE(17,:) = 'CRSE_depth2_3W.segy ';
     SEGY_FILE(18,:) = 'CRSE_depth2_3E.segy ';
     SEGY_FILE(19,:) = 'CRSE_depth2_4NE.segy';
     SEGY_FILE(20,:) = 'CRSE_depth2_4SW.segy';
     SEGY_FILE(21,:) = 'CRSE_depth2_5.segy  ';
     SEGY_FILE(22,:) = 'CRSE_depth2_6.segy  ';
     SEGY_FILE(23,:) = 'CRSE_depth2_7.segy  ';
     SEGY_FILE(24,:) = 'CRSE_depth2_8.segy  ';
     SEGY_FILE(25,:) = 'CRSE_depth3_1N.segy ';
     SEGY_FILE(26,:) = 'CRSE_depth4_1.segy  ';
     SEGY_FILE(27,:) = 'CRSE_depth5_1.segy  ';
     SEGY_FILE(28,:) = 'CRSE_depth5_2E.segy ';
     SEGY_FILE(29,:) = 'CRSE_depth5_2W.segy ';
     SEGY_FILE(30,:) = 'CRSE_depth5_3SW.segy';
     SEGY_FILE(31,:) = 'CRSE_depth5_4S.segy ';
     SEGY_FILE(32,:) = 'CRSE_depth5_4N.segy ';
     plottype(1:32)  = 1;
     rstart(1:32)    = 0;
     tstart(1:32)    = 1;
     tend(1:32)      = 5;
     tscale(1:32)    = .05;
     ro(1:32)        = 4;
     alpha(1:32)     = 4;
     amptype         = 2;
   st=1;en=8;
     ascale (st:en)   = 0.5;
     rend(st:en)      = 8.5;
     rscale(st:en)    = 0.75;
     depthtype(st:en) = 1;
     rangetype(st:en) = 1;
   st=9;en=12;
     ascale (st:en)   = 5;
     rend(st:en)      = 360;
     rscale(st:en)    = 0.025;
     depthtype(st:en) = 4;
     rangetype(st:en) = 4;
   st=13;en=20;
     ascale (st:en)   = 0.5;
     rend(st:en)      = 8.5;
     rscale(st:en)    = 0.75;
     depthtype(st:en) = 1;
     rangetype(st:en) = 1;
   st=21;en=24;
     ascale (st:en)   = 5;
     rend(st:en)      = 360;
     rscale(st:en)    = 0.025;
     depthtype(st:en) = 4;
     rangetype(st:en) = 4;
   st=25;en=25;
     ascale (st:en)   = 0.5;
     rend(st:en)      = 8.5;
     rscale(st:en)    = 0.75;
     depthtype(st:en) = 1;
     rangetype(st:en) = 1;
   st=26;en=27;
     ascale (st:en)   = 5;
     rend(st:en)      = 360;
     rscale(st:en)    = 0.025;
     depthtype(st:en) = 4;
     rangetype(st:en) = 4;
     st=28;en=32;
     ascale (st:en)   = 0.5;
     rend(st:en)      = 8.5;
     rscale(st:en)    = 0.75;
     depthtype(st:en) = 1;
     rangetype(st:en) = 1;
elseif (B.experiment == 'LFAS')
  cstart = [0610,0902,1117,1226,1700,2001,2144,2590,2928,3024,3091,3205,3723,3789,3959,4070,4167,4211,4304,4476];
  cend   = [0890,4692,1215,1699,2000,2022,2585,2860,2974,3024,3091,4359,3778,3866,3971,4116,4200,4661,4370,4514];
  cdepl  = [  04,  12,  28,  30,  30,  46,  22,  32,  14,  06,  08,  40,  24,  34,  16,  10,  26,  36,  20,  18];
  clen   = length(cend);
  rstart(1:20) = 20.0;
  tstart(1:20) = 0.0;
  tend(1:20)   = 60.0;
  tscale(1:20) = .03;
     SEGY_FILE(1,:)  = 'LFAS_E1.segy  '; rend(1)  = 62; rscale(1)  = 0.2;
     SEGY_FILE(2,:)  = 'LFAS_E5.segy  '; rend(2)  = 12; rscale(2)  = 0.8; tend(2)  = 20.0; tscale(2) = .09;
     SEGY_FILE(3,:)  = 'LFAS_A1A.segy '; rend(3)  = 62; rscale(3)  = 0.2;
     SEGY_FILE(4,:)  = 'LFAS_A5_1.segy'; rend(4)  = 30; rscale(4)  = 0.3; tend(4)  = 35.0; tscale(4) = .05;
     SEGY_FILE(5,:)  = 'LFAS_A5_2.segy'; rend(5)  = 30; rscale(5)  = 0.3; tend(5)  = 35.0; tscale(5) = .05;
     SEGY_FILE(6,:)  = 'LFAS_A5A.segy '; rend(6)  = 5 ; rscale(6)  = 2.0; tend(6)  = 20.0; tscale(6) = .09;
     SEGY_FILE(7,:)  = 'LFAS_A2.segy  '; rend(7)  = 42; rscale(7)  = 0.25;tend(7)  = 35.0; tscale(7) = .05;
     SEGY_FILE(8,:)  = 'LFAS_A6.segy  '; rend(8)  = 26; rscale(8)  = 0.4; tend(8)  = 30.0; tscale(8) = .06;
     SEGY_FILE(9,:)  = 'LFAS_E6.segy  '; rend(9)  = 50; rscale(9)  = 0.8; rstart(9) = 34.0;
     SEGY_FILE(10,:) = 'LFAS_E2.segy  '; rend(10) = 12; rscale(10) = 0.2;
     SEGY_FILE(11,:) = 'LFAS_E3.segy  '; rend(11) = 12; rscale(11) = 0.2;
     SEGY_FILE(12,:) = 'LFAS_A9.segy  '; rend(12) = 360;rscale(12) = 0.025;tend(12) = 15.0; tscale(12) = .12;
     SEGY_FILE(13,:) = 'LFAS_A3.segy  '; rend(13) = 20; rscale(13) = 0.5; tend(13)  = 32.0; tscale(13) = .056;
     SEGY_FILE(14,:) = 'LFAS_A7.segy  '; rend(14) = 22; rscale(14) = 0.4; tend(14)  = 32.0; tscale(14) = .056;
     SEGY_FILE(15,:) = 'LFAS_E7.segy  '; rend(15) = 62; rscale(15) = 0.2; tend(15)  = 50.0; tscale(15) = .035;
     SEGY_FILE(16,:) = 'LFAS_E4.segy  '; rend(16) = 42; rscale(16) = 0.25;tend(16)  = 40.0; tscale(16) = .045;
     SEGY_FILE(17,:) = 'LFAS_A4.segy  '; rend(17) = 20; rscale(17) = 0.8; rstart(9) = 9.0; tend(17)  = 32.0; tscale(17) = .056;
     SEGY_FILE(18,:) = 'LFAS_A8.segy  '; rend(18) = 21; rscale(18) = 0.45;tend(18)  = 32.0; tscale(18) = .056;
     SEGY_FILE(19,:) = 'LFAS_A1.segy  '; rend(19) = 62; rscale(19) = 0.2; tend(19)  = 30.0; tscale(19) = .06;
     SEGY_FILE(20,:) = 'LFAS_E8.segy  '; rend(20) = 25; rscale(20) = 0.5; rstart(20) = 10.0; tend(20)  = 50.0; tscale(20) = .035;
    st=1;en=20;
     ascale (st:en)   = .5;
     alpha(st:en)     = 2.9;
     ro(st:en)        = 7.0;
     depthtype(st:en) = 1;
     rangetype(st:en) = 2;
     plottype(st:en)  = 1;
    st=12;en=12;
     ascale (st:en)   = 10;
     tend(st:en)      = 15.0;
     tscale(st:en)    = .1;
     alpha(st:en)     = 2.9;
     ro(st:en)        = 7.0;
     depthtype(st:en) = 4;
     rangetype(st:en) = 4;
     plottype(st:en)  = 1;
elseif (B.experiment == 'BOSE')
  cstart = [001,029,053,064,087,108];
  cend   = [024,053,063,084,108,119];
  cdepl  = [  1,  2,  3,  4,  5,  6];
     SEGY_FILE(1,:) = 'BOSE_depth1_1_N.segy ';
     SEGY_FILE(2,:) = 'BOSE_depth1_2_S.segy ';
     SEGY_FILE(3,:) = 'BOSE_depth1_5_SE.segy';
     SEGY_FILE(4,:) = 'BOSE_depth1_3_E.segy ';
     SEGY_FILE(5,:) = 'BOSE_depth1_4_W.segy ';
     SEGY_FILE(6,:) = 'BOSE_depth1_6_SW.segy';
     st=3;en=6;
     ascale (st:en)   = .003;
     tstart(st:en)    = 0.0;
     rend(st:en)      = 11.5;
     rscale(st:en)    = 0.75;
     tstart(st:en)    = 3.0;
     tend(st:en)      = 7.0;
     alpha(st:en)     = 2.9;
     ro(st:en)        = 7.0;
     depthtype(st:en) = 3;
     rangetype(st:en) = 7;
     plottype(st:en)  = 1;
     rstart(3)        = 53;
     rend(3)          = 63;
     rstart(6)        = 108;
     rend(6)          = 119;
     st=1;en=2;
     ascale (st:en)   = .003;
     tstart(st:en)    = 0.0;
     rstart(st:en)    = 0.0;
     rend(st:en)      = 11.5;
     rscale(st:en)    = 0.75;
     tstart(st:en)    = 3.0;
     tend(st:en)      = 7.0;
     alpha(st:en)     = 2.9;
     ro(st:en)        = 7.0;
     depthtype(st:en) = 1;
     rangetype(st:en) = 2;
     plottype(st:en)  = 1;
     st=4;en=5;
     ascale (st:en)   = .003;
     tstart(st:en)    = 0.0;
     rstart(st:en)    = 0.0;
     rend(st:en)      = 11.5;
     rscale(st:en)    = 0.75;
     tstart(st:en)    = 3.0;
     tend(st:en)      = 7.0;
     alpha(st:en)     = 2.9;
     ro(st:en)        = 7.0;
     depthtype(st:en) = 1;
     rangetype(st:en) = 2;
     plottype(st:en)  = 1;
  clen   = length(cend);
end

for cl=1:clen
%for cl=12:clen
%for cl=8:8
%for cl=1:1
%for cl=21:24
    
  
if (B.experiment == 'LFAS')
      B.depl  = cdepl(cl);
      B.first = cstart(cl);
      B.last  = cend(cl);
%      [B]     = makeLFAS(B);
      lfpar.cruise = 7;
      redvel  = 0;
      amptype = 1;
      lfpar.chan(1,1:10)  = 'VERTICAL  ';
      lfpar.chan(2,1:10)  = 'TRANSVERSE';
      lfpar.chan(3,1:10)  = 'RADIAL    ';
      lfpar.chan(4,1:10)  = 'VERTICAL  ';
      lfpar.chan(5,1:10)  = 'TRANSVERSE';
      lfpar.chan(6,1:10)  = 'RADIAL    ';
      lfpar.chan(7,1:10)  = 'VERTICAL  ';
      lfpar.chan(8,1:10)  = 'TRANSVERSE';
      lfpar.chan(9,1:10)  = 'HYDROPHONE';
      lfpar.chan(10,1:10) = 'VERTICAL  ';
      lfpar.chan(11,1:10) = 'TRANSVERSE';
      lfpar.chan(12,1:10) = 'RADIAL    ';
elseif (B.experiment == 'CRSE')
      B.first = cstart(cl);
      B.last  = cend(cl);
      lfpar.chan(1,1:10) = 'Radial    ';
      lfpar.chan(2,1:10) = 'Transverse';
      lfpar.chan(3,1:10) = 'Vertical  ';
%      [B]     = makeCRSE(B);
      lfpar.cruise = 4;
      redvel  = 4;
      amptype = 1;
elseif (B.experiment == 'BOSE')
      B.first = cstart(cl);
      B.last  = cend(cl);
      lfpar.chan(1,1:10) = 'Radal     ';
      lfpar.chan(2,1:10) = 'Transverse';
      lfpar.chan(3,1:10) = 'Vertical  ';
      B.num   = cdepl(cl);
%      [B]     = makeBOSE(B);
      lfpar.cruise = 2;
      redvel  = 6;
      amptype = 2;
else
      B.scalefact(1:3)   = 1.0;
      B.channame(1:4,3)  = 'vert';
      B.channame(1:4,2)  = 'tran';
      B.channame(1:4,1)  = 'radi';
end
if (B.experiment == 'LFAS')
lfpar.DIRECTORY=['/Volumes/Cormorant2/Data/OSE/SEGY/' B.experiment '/BHA'] ;  %   data file directory  \. for same directory
else
lfpar.DIRECTORY=['/Volumes/Cormorant2/Data/OSE/SEGY/' B.experiment '/'] ;  %   data file directory  \. for same directory
end

n = length(SEGY_FILE(cl,:));
while (strcmp(SEGY_FILE(cl,n:n),' ') == 1)
     n=n-1;
end


lfpar.MODEL      = SEGY_FILE(cl,1:n); % SEGY file name
lfpar.CRUISE     = B.experiment     ; % cruise name
lfpar.EXTENT     = lfpar.MODEL;
lfpar.DEPTH      = depthtype(cl)    ; %  1 for range plot, 0 for a depth plot, 4 for azimuth
lfpar.FILLWIGGLE = 1                ; %  1 for traces only, 2 for filled wiggle

lfpar.MST        = 0                ; %  left M
lfpar.MEN        = 8.5              ; %  right M

lfpar.CHANST     = 1                ; % start channel
lfpar.CHANEN     = 3                ; % end channel
lfpar.CHANSTEP   = 1                ; % channel Step

lfpar.ISTART     = cstart(cl)       ; % first trace number to read
lfpar.IEND       = cend(cl)         ; % last trace number to read
lfpar.ISTEP      = 1                ; % value to step through the traces

lfpar.IPLOT      = plottype(cl)     ; % 1 to read by trace number, 0 to use M and N box
lfpar.WAVELENGTH = 15               ; % value todivide the M/N value by to use as the range value for the trace
                                      % OR use 0 for the range value passed
lfpar.EXTRATITLE = ''               ; % extra title to add to the model name
lfpar.LFRST      = rstart(cl)       ; % left range value of the plot 
lfpar.LFREN      = rend(cl)         ; % right range value of the plot 
lfpar.LFRSCALE   = rscale(cl)       ; % range scale in inches / range value
 lfpar.LFTST     = tstart(cl)       ; % start time of the plot
lfpar.LFTEN      = tend(cl)         ; % stop time of the plot
lfpar.LFTSCALE   = tscale(cl)       ; % time scale in inches / second
lfpar.AMPSCALE   = ascale(cl)       ; % amplitude scaling factor
lfpar.AMPTYPE    = amptype          ; % 3 for TRUE scaling, 1 for = max amplitude, 2 for range weighting
lfpar.LFRO       = ro(cl)           ; % RO for range weighting, will use range vales to apply
lfpar.LFALPHA    = alpha(cl)        ; % ALPHA for range weighting, will use range vales to apply
lfpar.LFREDVEL   = redvel           ; % reduction velocity in km/sev, 0.0 to disable
lfpar.LFCLIPP    = 0                ; % clipping value in inches, 0.0 for no clipping
lfpar.RATE       = 0.0              ; % Sampling rate in seconds

lfpar.RANGEAXIS  = rangetype(cl)    ; % 2 KM Range Axis label, 4 Azimuth
lfpar.TIMEAXIS   = 2                ; % Time Axis label
lfpar.PARAMS     = 1                ; % Annotate the parameters on the Time series plot

lfpar.tsplist1=[-99];  %  EXTENTS list
lfpar.tsplist={'-99'}; %  EXTENTS list
lfpar.st=1;            %  index for EXTENTS
lfpar.read = 1;
type_depth={'Plot Versus Range',...
            'Plot Versus Depth'} ;
type_plot={'Plot Velocity',...
           'Do NOT Plot Velocity'} ;
ttype_plot={'Find Receivers by Trace Number',...
           'Find Receivers by Model Points'} ;
fill_wiggle={'Plot Traces only',...
           'Fill Negative Wiggles',...
           'Fill Positive Wiggles',...
           'Fill Wiggles and Traces',...
           'Fill Positive and Negative Wiggles'} ;
amp_type ={'Equal Maximum Amplitude',...
           'Range Weighted',...
           'TRUE Amplitude'};
params_type ={'NO Parameters on the plot',...
              'Show the Parameters on the plot'};
range_axis ={'Range (km)',...
             'Range (wavelengths)',...
             'Depth (km)',...
             'Azimuth (degrees)',...
             'Depth (points)',...
             'Range (points)',...
             'Shot Sequence Number',...
             ' '};
time_axis ={'Time (sec)',...
             'Time (wavelengths)',...
             'Time (points)',...
             'Time (periods)',...
             ' '};
cruise_name={'ARGO',...
             'BOSE',...
             'COSE',...
             'CRSE',...
             'GOSE',...
             'JOSE',...
             'LFAS',...
             'SOBO',...
             'SOCR',...
             'SWIR',...
             ' '};
lfpar.type_depth=type_depth;
lfpar.type_plot=type_plot;
lfpar.ttype_plot=ttype_plot;
lfpar.amp_type=amp_type;
lfpar.range_axis=range_axis;
lfpar.time_axis=time_axis;
lfpar.fill_wiggle=fill_wiggle;

lfpar.cruise_name=cruise_name;

%  SNapshot section


lfazo1=[];
hold off;
[lfpar2,lfazo1]=plot_SEGY_4(lfpar);
%[lfpar2,lfazo1]=plot_lfazo_3(lfpar);
plotfile_ps   = [SEGY_FILE(cl,1:n-4) 'ps'];
plotfile_jpeg = [SEGY_FILE(cl,1:n-4) 'jpeg'];
hold off;
print ('-dpsc2',   plotfile_ps);
print ('-djpeg90', plotfile_jpeg);
end

