
   [depl,idep,line,dir,rad,shot,gain,volt,azim,range]=textread('CRSE.list','%d%d%d%s%d%d%d%d%f%f','whitespace',' ');

slen=length(shot)

for n=1:slen
    filename=sprintf('/Volumes/kathadin2/OSE/crse/01/r01e%4.4d.dig',shot(n));
    [dum1,dum2,dum3,dum4,dum5,dum6,dum7,dum8,dum9,latdeg,latdec]=textread (filename,'%d%d%d%d%d%d%d%d%d%d%d',1,'headerlines',1);
    [londeg,londec]=textread (filename,'%n%n%*[^\n]',1,'headerlines',2);
    
    lat(n)=latdeg+latdec/1000;
    lon(n)=londeg+londec/1000;
    
    disp(['read file: ',filename]);
end
lat(212)=(lat(211)+lat(213))/2.;  %  fix shot 380 since lat long is 0
lon(212)=(lon(211)+lon(213))/2.;

first=[13,26,40,54,67,82, 99,118,133,222,290,335];
last= [25,39,53,66,81,98,117,132,221,289,334,359];
ititle='Costa Rica Rift OSE Clamp depth 272m lines';
first=[361,374,388,400,414,433,450,465,480,569,638,686];
last= [373,387,398,413,431,449,464,478,568,636,685,708];
%first=[374];
%last= [387];
ititle='Costa Rica Rift OSE Clamp depth 42m lines';
first=[712];
last= [720];
ititle='Costa Rica Rift OSE Clamp depth 4415m lines';
first=[738];
last= [806];
ititle='Costa Rica Rift OSE Clamp depth 452m lines';
first=[807,873,885,898,924,940];
last= [872,884,897,924,939,954];
ititle='Costa Rica Rift OSE Clamp depth 667m lines';
first=[13,26,40,54,67,82, 99,118,133,222,290,335,361,374,388,400,414,433,450,465,480,569,638,686,712,807,873,885,898,924,940];
last= [25,39,53,66,81,98,117,132,221,289,334,359,373,387,398,413,431,449,464,478,568,636,685,708,806,872,884,897,924,939,954];
ititle='Costa Rica Rift OSE al shots';

llen=length(first);

hold off;
%axesm ('mercator','FLatLimit',[1.15 1.3],'FLonLimit',[-83.9 -83.5]); 
%axesm ('mercator','labelunits','degrees','MeridianLabel','on','ParallelLabel','on'); 
%framem;
hold on;
for n=1:llen
    x=[];
    y=[];
    ishot=[];
    
    dd=0;
    for nn=first(n):last(n)
        d=1;
        while ((nn ~= shot(d)) && (d < slen))
            d=d+1;
        end
        
        if (shot(d) == nn)
            dd=dd+1;
            x(dd)=lon(d);
            y(dd)=lat(d);
            ishot(dd)=shot(d);
            lline=line(d);
        end
    end
    
    plot(x,y,'x');
    hold on;
%    plot(x,y);
  linelabel=sprintf('Line %d',lline);
%  text (x(end),y(end),linelabel);
end

plot(-83.730,1.226,'r+');
axis tight;
axis ([-83.82 -83.635 1.14 1.31]);

title (ititle);
xlabel('Longitude');
ylabel('Latitude');


