load CRSE_all.mat
for depth=1:6
    hold off;
    clear first last llen x y ishot lline;
    clf;
%depth = 1;
if (depth == 1)
first=[13,26,40,54,67,82, 99,118,133,222,290,335];
last= [25,39,53,66,81,98,117,132,221,289,334,359];
ititle='Costa Rica Rift OSE Clamp depth 1 272m lines';
fileout='CRSE_depth1_272m.ps';
elseif (depth == 2)
first=[361,374,388,400,414,433,450,465,480,569,638,686];
last= [373,387,398,413,431,449,464,478,568,636,685,708];
%first=[374];
%last= [387];
ititle='Costa Rica Rift OSE Clamp depth 2 42m lines';
fileout='CRSE_depth2_42m.ps';

elseif (depth == 3)
first=[712];
last= [720];
ititle='Costa Rica Rift OSE Clamp depth 3 677m lines';
fileout='CRSE_depth3_677m.ps';

elseif (depth == 4)
first=[738];
last= [806];
ititle='Costa Rica Rift OSE Clamp depth 4 462m lines';
fileout='CRSE_depth4_462m.ps';

elseif (depth == 5)
first=[807,873,885,898,924,940];
last= [872,884,897,924,939,954];
ititle='Costa Rica Rift OSE Clamp depth 5 672m lines';
fileout='CRSE_depth5_672m.ps';

elseif (depth == 6)
first=[13,26,40,54,67,82, 99,118,133,222,290,335,361,374,388,400,414,433,450,465,480,569,638,686,712,807,873,885,898,924,940];
last= [25,39,53,66,81,98,117,132,221,289,334,359,373,387,398,413,431,449,464,478,568,636,685,708,806,872,884,897,924,939,954];
ititle='Costa Rica Rift OSE all shots';
fileout='CRSE_depth_all.ps';
end
llen=length(first);

hold off;
%axesm ('mercator','FLatLimit',[1.15 1.3],'FLonLimit',[-83.9 -83.5]); 
%axesm ('mercator','labelunits','degrees','MeridianLabel','on','ParallelLabel','on'); 
%framem;
hold on;
for n=1:llen
    x=[];
    y=[];
    ishot=[];
    
    dd=0;
    for nn=first(n):last(n)
        d=1;
        while ((nn ~= shot(d)) && (d < slen))
            d=d+1;
        end
        
        if (shot(d) == nn)
            dd        = dd+1;
            x(dd)     = lon(d);
            y(dd)     = lat(d);
            ishot(dd) = shot(d);
            lline     = line(d);
        end
    end
    
    plot(x,y,'*');
    hold on;
    plot(x,y,'-');
  linelabel=sprintf('Line %d',lline);
  xlen = length(x);
  xuse = round(xlen/2)+2;
  if (xuse > xlen)
      xuse=xlen;
  end
  text (x(xuse),y(xuse),linelabel);
end

plot(-83.730,1.226,'r+');
axis tight;
axis ([-83.82 -83.635 1.14 1.31]);

title (ititle);
xlabel('Longitude');
ylabel('Latitude');

print ('-dpsc2', fileout);
fileoutjpeg = [fileout(1:end-2) 'jpeg'];
print ('-djpeg90', fileoutjpeg);
hold off;
end


